The Spring Framework

## org.springframework.jdbc.support.lob
Class JtaLobCreatorSynchronization

    java.lang.Object
      org.springframework.jdbc.support.lob.JtaLobCreatorSynchronization

All Implemented Interfaces:
  Synchronization

    public class JtaLobCreatorSynchronization

extends Object
implements Synchronization

Callback for resource cleanup at the end of a JTA transaction. Invokes `LobCreator.close()` to clean up temporary LOBs that might have been created.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `LobCreator.close()`, `Transaction.registerSynchronization(javax.transaction.Synchronization)`

Constructor Summary
`JtaLobCreatorSynchronization(LobCreator lobCreator)` Create a JtaLobCreatorSynchronization for the given LobCreator.

Method Summary
`void` `afterCompletion(int status)`
`void` `beforeCompletion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JtaLobCreatorSynchronization

    public JtaLobCreatorSynchronization(LobCreator lobCreator)

  Create a JtaLobCreatorSynchronization for the given LobCreator.

  Parameters:
    `lobCreator` - the LobCreator to close after transaction completion

Method Detail

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `Synchronization`

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `Synchronization`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.